org.eclipse.eef.core.api.controllers

## Interface IEEFButtonController

All Superinterfaces:
  IEEFController, IEEFWidgetController

All Known Implementing Classes:
  EEFButtonController

    public interface IEEFButtonController
    extends IEEFWidgetController

The IEEFButtonController is responsible of supporting all the interactions with the widgets created for an EEFButtonDescription.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `onNewButtonLabel(IConsumer<java.lang.String> consumer)` Register a consumer which will be called with the new value of the button's label when it will change.
`org.eclipse.core.runtime.IStatus` `pushed()` Invoked when the user pushes the button.
`void` `removeNewButtonLabelConsumer()` Remove the consumer of the new value of the button's label.

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFWidgetController

`computeHelp, onNewHelp, onNewLabel, removeNewHelpConsumer, removeNewLabelConsumer`

### Methods inherited from interface org.eclipse.eef.core.api.controllers.IEEFController

`onValidation, refresh, removeValidationConsumer`

### Method Detail

#### onNewButtonLabel

    void onNewButtonLabel(IConsumer<java.lang.String> consumer)

Register a consumer which will be called with the new value of the button's label when it will change.

Parameters:
  `consumer` - The consumer of the new value of the button's label

#### removeNewButtonLabelConsumer

    void removeNewButtonLabelConsumer()

Remove the consumer of the new value of the button's label.

#### pushed

    org.eclipse.core.runtime.IStatus pushed()

Invoked when the user pushes the button.

Returns:
  the status of the pushed execution.